### Method

# WebKit2 Settings set_user_agent_with_application_details

#### Declaration [src]

    void
    webkit_settings_set_user_agent_with_application_details (
      WebKitSettings* settings,
      const gchar* application_name,
      const gchar* application_version
    )

#### Description [src]

Set the `WebKitSettings:user-agent` property by appending the application details.

Set the `WebKitSettings:user-agent` property by appending the application details to the default user agent. If no application name or version is given, the default user agent used will be used. If only the version is given, the default engine version is used with the given application name.

#### Parameters

`application_name`

  Type: `const gchar*`

  The application name used for the user agent or `NULL` to use the default user agent.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`application_version`

  Type: `const gchar*`

  The application version for the user agent or `NULL` to user the default version.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.